package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * student_item_grade
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class StudentItemGrade implements Serializable {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 学生编码
     */
    private Long studentId;

    /**
     * 项目编码
     */
    private Long itemId;

    /**
     * 项目名称
     */
    private String itemName;

    /**
     * 1:秒 2:分 3:米 4:分数
     */
    private Integer gradeType;

    /**
     * 一级成绩第一部分
     */
    private BigDecimal firstGradeOne;

    /**
     * 一级成绩第二部分
     */
    private BigDecimal firstGradeTwo;

    /**
     * 二级成绩第一部分
     */
    private BigDecimal secondGradeOne;

    /**
     * 二级成绩第二部分
     */
    private BigDecimal secondGradeTwo;

    /**
     * 分数
     */
    private BigDecimal grade;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 状态：1:正常 0:删除
     */
    private Integer status;

    /**
     * ext_1
     */
    private String ext1;

    /**
     * ext_2
     */
    private String ext2;

    /**
     * ext_3
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Integer getGradeType() {
        return gradeType;
    }

    public void setGradeType(Integer gradeType) {
        this.gradeType = gradeType;
    }

    public BigDecimal getFirstGradeOne() {
        return firstGradeOne;
    }

    public void setFirstGradeOne(BigDecimal firstGradeOne) {
        this.firstGradeOne = firstGradeOne;
    }

    public BigDecimal getFirstGradeTwo() {
        return firstGradeTwo;
    }

    public void setFirstGradeTwo(BigDecimal firstGradeTwo) {
        this.firstGradeTwo = firstGradeTwo;
    }

    public BigDecimal getSecondGradeOne() {
        return secondGradeOne;
    }

    public void setSecondGradeOne(BigDecimal secondGradeOne) {
        this.secondGradeOne = secondGradeOne;
    }

    public BigDecimal getSecondGradeTwo() {
        return secondGradeTwo;
    }

    public void setSecondGradeTwo(BigDecimal secondGradeTwo) {
        this.secondGradeTwo = secondGradeTwo;
    }

    public BigDecimal getGrade() {
        return grade;
    }

    public void setGrade(BigDecimal grade) {
        this.grade = grade;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        StudentItemGrade other = (StudentItemGrade) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStudentId() == null ? other.getStudentId() == null : this.getStudentId().equals(other.getStudentId()))
            && (this.getItemId() == null ? other.getItemId() == null : this.getItemId().equals(other.getItemId()))
            && (this.getItemName() == null ? other.getItemName() == null : this.getItemName().equals(other.getItemName()))
            && (this.getGradeType() == null ? other.getGradeType() == null : this.getGradeType().equals(other.getGradeType()))
            && (this.getFirstGradeOne() == null ? other.getFirstGradeOne() == null : this.getFirstGradeOne().equals(other.getFirstGradeOne()))
            && (this.getFirstGradeTwo() == null ? other.getFirstGradeTwo() == null : this.getFirstGradeTwo().equals(other.getFirstGradeTwo()))
            && (this.getSecondGradeOne() == null ? other.getSecondGradeOne() == null : this.getSecondGradeOne().equals(other.getSecondGradeOne()))
            && (this.getSecondGradeTwo() == null ? other.getSecondGradeTwo() == null : this.getSecondGradeTwo().equals(other.getSecondGradeTwo()))
            && (this.getGrade() == null ? other.getGrade() == null : this.getGrade().equals(other.getGrade()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStudentId() == null) ? 0 : getStudentId().hashCode());
        result = prime * result + ((getItemId() == null) ? 0 : getItemId().hashCode());
        result = prime * result + ((getItemName() == null) ? 0 : getItemName().hashCode());
        result = prime * result + ((getGradeType() == null) ? 0 : getGradeType().hashCode());
        result = prime * result + ((getFirstGradeOne() == null) ? 0 : getFirstGradeOne().hashCode());
        result = prime * result + ((getFirstGradeTwo() == null) ? 0 : getFirstGradeTwo().hashCode());
        result = prime * result + ((getSecondGradeOne() == null) ? 0 : getSecondGradeOne().hashCode());
        result = prime * result + ((getSecondGradeTwo() == null) ? 0 : getSecondGradeTwo().hashCode());
        result = prime * result + ((getGrade() == null) ? 0 : getGrade().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", studentId=").append(studentId);
        sb.append(", itemId=").append(itemId);
        sb.append(", itemName=").append(itemName);
        sb.append(", gradeType=").append(gradeType);
        sb.append(", firstGradeOne=").append(firstGradeOne);
        sb.append(", firstGradeTwo=").append(firstGradeTwo);
        sb.append(", secondGradeOne=").append(secondGradeOne);
        sb.append(", secondGradeTwo=").append(secondGradeTwo);
        sb.append(", grade=").append(grade);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", status=").append(status);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}